package com.ss.android.ttve.nativePort;

import X.I67;
import com.bytedance.covode.number.Covode;

public class TEMessageClient {
    public I67 mOnErrorListener;
    public I67 mOnInfoListener;

    static {
        Covode.recordClassIndex(49439);
    }

    public I67 getErrorListener() {
        return this.mOnErrorListener;
    }

    public I67 getInfoListener() {
        return this.mOnInfoListener;
    }

    public void setErrorListener(I67 i67) {
        this.mOnErrorListener = i67;
    }

    public void setInfoListener(I67 i67) {
        this.mOnInfoListener = i67;
    }

    public void nativeCallback_onInfoListener(int i, int i2, float f) {
        I67 i67 = this.mOnInfoListener;
        if (i67 != null) {
            i67.LIZ(i, i2, f, (String) null);
        }
    }

    public void nativeCallback_onErrorListener(int i, int i2, float f, String str) {
        I67 i67 = this.mOnErrorListener;
        if (i67 != null) {
            i67.LIZ(i, i2, f, str);
        }
    }
}
